<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Rechnung</title>

    <style>
        @page {
            size: A4;
            margin: 0;
            padding: 0;
        }

        html, body {
            size: A4;
            width: 210mm;
            height: 297mm;
            margin: 0;
            padding: 0;
            font-size: 13px;
            -webkit-print-color-adjust: exact;
        }

        h3, p {
            word-break: break-word;
        }

        h3 {
            font-size: 17px;
        }

        .page {
            margin: 15mm;
            width: 180mm;
        }


        .m-0 {
            margin: 0;
        }

        .p-0 {
            padding: 0;
        }

        .mr-10 {
            margin-right: 10px;
        }

        .text-bold {
            font-weight: bold;
        }

        .text-small {
            font-size: 11px;
            margin: 0;
        }


        .header {
            height: 50mm;
        }

        #logo {
            margin-top: 15mm;
            width: 40%;
            max-height: 50mm;
            float: right;
        }

        .address-provider-container {
            padding-top: 15mm;
        }


        .invoice-summary-container {
            padding-top: 1mm;
            padding-bottom: 3mm;
        }

        .invoice-summary-header {
            text-align: center;
            margin-bottom: 3mm;
        }


        .invoice-table {
            border-collapse: collapse;
            width: 100%;
        }

        .invoice-table-head {
            font-weight: bold;
            border-bottom: 1px solid black;
        }

        .invoice-table-seperator-top {
            margin-top: 2mm;
        }

        .invoice-table-seperator-bottom {
            margin-bottom: 2mm;
            border-top: 1px solid black;
        }

        .invoice-table-summary {
            font-weight: bold;
            background-color: lightgray;
            border-top: 1px solid gray;
            border-bottom: 1px solid gray;
        }


        .footer {
            margin-right: 15mm;
            margin-bottom: 10mm;
            position: absolute;
            bottom: 0;
            color: gray;
        }
    </style>
</head>
<body class="page">
<div class="header">
    <img id="logo" src="{{ image('logo') }}" alt="logo">
    <div class="address-provider-container">
        <p class="m-0 text-bold">{{ provider_address.name }}</p>
        <p class="m-0">{{ provider_address.address1 }}</p>
        {% if provider_address.address2 %}
            <p class="m-0">{{ provider_address.address2 }}</p>
        {% endif %}
        <p class="m-0">{{ provider_address.zip_code }} {{ provider_address.city }}</p>
        <p class="m-0">{{ provider_address.country|country }}</p>
        <br/>
        
    </div>
</div>
<div>
    {% if customer.full_name() != customer_address.name %}
        <p class="m-0">{{ customer.full_name() }}</p>
    {% endif %}
    <p class="m-0">{{ customer_address.name }}</p>
    <p class="m-0">{{ customer_address.street }} {{ customer_address.street_number }}{% if customer_address.stairway_number %}/{{ customer_address.stairway_number }}{% endif %}{% if customer_address.door_number %}/{{ customer_address.door_number }}{% endif %}</p>
    <p class="m-0">{{ customer_address.zip_code }} {{ customer_address.city }}</p>
    <p class="m-0">{{ customer_address.country|country }}</p>
</div>
<div class="invoice-summary-container">
    <h3 class="invoice-summary-header">Rechnung vom {{ customer_invoice.created|date("DATE_FORMAT") }}</h3>
    <p class="m-0">Rechnungsnummer: {{ customer_invoice.number_series }}-{{ customer_invoice.number }}</p>
    <p class="m-0">Kundennummer: {{ customer.number }}</p>
    <p class="m-0">Abrechnungszeitraum: {{ customer_invoice.performance_start|date("DATE_FORMAT") }} - {{ customer_invoice.performance_end|date("DATE_FORMAT") }}</p>
</div>
<div>
    <table class="invoice-table">
        <thead class="invoice-table-head">
        <tr>
            <td style="width: 70%;">Rechnungsübersicht</td>
            <td style="width: 10%;">MwSt. (%)</td>
            <td style="width: 10%;">Netto</td>
            <td style="width: 10%;">Brutto</td>
        </tr>
        </thead>
        <tbody>
        <tr style="height: 2mm;"></tr>
        {% for customer_invoice_item in customer_invoice_items %}
            <tr>
                <td>
                    <p class="m-0 text-bold">{{ customer_invoice_item.name }}</p>
                    <div>{{ customer_invoice_item.description }}</div>
                </td>
                <td nowrap="nowrap">
                    <span class="mr-10">
                        {{ '%0.2f'| format(customer_invoice_item.amount | vat(customer_invoice_item.vat_percent) | float) | replace('.', ',') }}
                        {{ customer_invoice_item.amount_currency }}
                        ({{ '%0.2f'| format(customer_invoice_item.vat_percent | float) | replace('.', ',') }}%)
                    </span>
                </td>
                <td nowrap="nowrap">
                    <span class="mr-10">
                        {{ '%0.2f'| format(customer_invoice_item.amount | net(customer_invoice_item.vat_percent) | float) | replace('.', ',') }}
                        {{ customer_invoice_item.amount_currency }}
                    </span>
                </td>
                <td nowrap="nowrap">
                    <span>
                        {{ '%0.2f'| format(customer_invoice_item.amount.amount | float) | replace('.', ',') }}
                        {{ customer_invoice_item.amount_currency }}
                    </span>
                </td>
            </tr>
            <tr>
                <td class="p-0">
                    <div class="invoice-table-seperator-top"></div>
                    {% if not loop.last %}
                        <div class="invoice-table-seperator-bottom"></div>
                    {% endif %}
                </td>
                <td class="p-0">
                    <div class="invoice-table-seperator-top"></div>
                    {% if not loop.last %}
                        <div class="invoice-table-seperator-bottom"></div>
                    {% endif %}
                </td>
                <td class="p-0">
                    <div class="invoice-table-seperator-top"></div>
                    {% if not loop.last %}
                        <div class="invoice-table-seperator-bottom"></div>
                    {% endif %}
                </td>
                <td class="p-0">
                    <div class="invoice-table-seperator-top"></div>
                    {% if not loop.last %}
                        <div class="invoice-table-seperator-bottom"></div>
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
        <tr class="invoice-table-summary">
            <td>Rechnungsbetrag</td>
            <td nowrap="nowrap">
                {% for currency, value in customer_invoice.sum_per_currency.items() %}
                    <p class="m-0">
                        {{ '%0.2f'| format(value.vat| float) | replace('.', ',') }} {{ currency }}
                    </p>
                {% endfor %}
            </td>
            <td nowrap="nowrap">
                {% for currency, value in customer_invoice.sum_per_currency.items() %}
                    <p class="m-0">
                        {{ '%0.2f'| format(value.net | float) | replace('.', ',') }} {{ currency }}
                    </p>
                {% endfor %}
            </td>
            <td nowrap="nowrap">
                {% for currency, value in customer_invoice.sum_per_currency.items() %}
                    <p class="m-0">
                        {{ '%0.2f'| format(value.gross | float) | replace('.', ',') }} {{ currency }}
                    </p>
                {% endfor %}
            </td>
        </tr>
        </tbody>
    </table>
    <p class="text-small" style="margin-top: 1mm;">
        {% if is_credit %}
            Ihr Guthaben wird nicht ausgezahlt. Es wird bei der nächsten Abbuchung von Ihrem hinterlegten Zahlungsmittel berücksichtigt.
        {% else %}
            {% if payment_method %}
                {% if payment_method.source_type == "sepa" %}
                    Bitte überweisen Sie uns nichts. Der Betrag wird automatisch von Ihrem Bankkonto (IBAN ****{{ payment_method.backend_public_data.last4 }}) am 5ten abgebucht. Die SEPA Lastschrift wird auf Ihrem Kontoauszug als „Accessio GmbH“ mit der Gläubiger-ID {{ sepa_creditor_id }} aufscheinen.
                {% elif payment_method.source_type == "credit" %}
                    Bitte überweisen Sie uns nichts. Der Betrag wird automatisch von Ihrer Kreditkarte (Nummer ****{{ payment_method.backend_public_data.last4 }}) am 5ten abgebucht.
                {% endif %}
            {% endif %}
        {% endif %}
    </p>
</div>
<div class="footer">
    <p class="text-small m-0">
        {% if provider_address.vat_id %}
            <span class="mr-10">
            UID Nummer {{ provider_address.vat_id }}
            </span>
        {% endif %}
        {% if provider_address.register_number %}
            <span class="mr-10">
            FN: {{ provider_address.register_number }}
            </span>
        {% endif %}
        {% if provider_address.jurisdiction %}
            <span class="mr-10">
            Gerichtsstand: {{ provider_address.jurisdiction }}
            </span>
        {% endif %}
    </p>
    
</div>
</body>
</html>
